> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve score change

> Resolve score change



## OpenAPI

````yaml /openapi.json post /api/v1/score/{index}/{uid}/resolve
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/score/{index}/{uid}/resolve:
    post:
      tags:
        - Score Route
      summary: Resolve score change
      description: Resolve score change
      parameters:
        - name: index
          in: path
          required: true
          schema:
            type: string
        - name: uid
          in: path
          required: true
          schema:
            type: string
        - name: refresh
          in: query
          schema:
            description: >-
              If 'true', OpenSearch refreshes the affected shards to make this
              operation visible to search, if 'wait_for' then wait for a refresh
              to make this operation visible to search, if 'false' do nothing
              with refreshes.
            enum:
              - WaitFor
              - 'True'
              - 'False'
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScoreChangeDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    ScoreChangeDto:
      type: object
      properties:
        uid:
          description: UID of the document
          type: string
        index:
          description: Index of the document
          type: string
        timestamp:
          format: int64
          description: Event timestamp
          type: integer
        i:
          format: int32
          description: Index of the document
          type: integer
        type:
          description: Type of the events with same timestamp
          type: string
        organisationId:
          format: int64
          description: Id of the organisation that provided the license
          type: integer
        licenseId:
          format: int64
          description: Id of the license that provided score formula
          type: integer
        licenseInstanceId:
          format: int64
          description: Id of the license instance that provided score formula
          type: integer
        tenantId:
          format: int64
          description: Id of the tenant that provided alert
          type: integer
        projectId:
          format: int64
          description: Id of the project that provided alert
          type: integer
        contractId:
          format: int64
          description: Id of the contract that provided alert
          type: integer
        txHash:
          description: Hash of the transaction, that produced this event
          type: string
        detectorSchemaName:
          description: Detector schema name of the score change
          type: string
        alertId:
          description: Id of the alert that triggered this score change
          type: string
        monitorId:
          description: Monitor id for deduplication of this score change
          type: string
        alertName:
          description: Name of the alert that triggered this score change
          type: string
        alertMessage:
          description: Message of the alert that triggered this score change
          type: string
        numericSeverity:
          format: double
          description: Numeric severity of the alert that triggered this score change
          type: number
        severity:
          description: Severity of the alert that triggered this score change
          type: string
        tags:
          description: Tag list of the alert, could be viewed or empty
          uniqueItems: true
          type: array
          items:
            type: string
        meta:
          description: Metadata of the alert, that produced this score change
          type: object
          additionalProperties:
            type: string
        scoreGroup:
          description: Score group of the score
          type: string
        score:
          format: double
          description: Total score
          type: number
        scoreChange:
          format: double
          description: Change of the score compared with previous event
          type: number
        key:
          description: Key of the score data
          type: string
        value:
          format: double
          description: Value of the score data
          type: number
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````